Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Upgraded to PHP5 and now SQL errors  (Read 9273 times)

0 Members and 1 Guest are viewing this topic.

raceit

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
Upgraded to PHP5 and now SQL errors
« on: October 08, 2004, 05:29:13 pm »

First off I apoligize, I was not able to find a support forum for CPG 1.1D that is intergrated with PHP-Nuke.  The only links I found were dead.  As well I've done some searching and was not able to find a solution that helped me.

With the debug option on I get this just opening up the album...

Code: [Select]
Critical error

There was an error while processing a database query.

While executing query "SELECT sum(hits) FROM 260 WHERE 1"

mySQL error: You have an error in your SQL syntax.  Check the manual that corresponds to your MySQL server version for the right syntax to use near '260 WHERE 1' at line 1

 File: D:\Inetpub\kcws\modules\coppermine\include\functions.inc.php - Line: 97

Debug info

USER:

Array
(
    [ID] => 182de4a176a52c20c2a1989edb6d6acc
    [am] => 1
    [liv] => Array
        (
            [0] => 288
            [1] => 335
        )

    [lap] => 1
)

GET :

Array
(
    [name] => coppermine
)

POST :

Array
(
)

Page generated in 0.29 seconds - 17 queries in 0.121 seconds - Album set :

I have tried on two different sites with similar results.  I have also tried version 1.2 for PHP-Nuke and also gotten similar errors.  However if I try the stand alone versions of 1.1 or even the latest they work fine with no errors.

Everything is running on a 2K box with IIS 5.0, PHP5, MySQL 4.0.21.

Again I apoligize for posting this here, but I was just curious to see if errors like that pointed out something obvious that I've overlooked.  Thanks for any help.
-Steve

Here's the site in question...
http://www.kcws.org/modules.php?name=coppermine
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: Upgraded to PHP5 and now SQL errors
« Reply #1 on: October 09, 2004, 06:17:32 am »

support for "Coppermine for CMS" and cpg1.1dNuke has been abandoned by the original creators, that's what your search should have come up with. Posting your question anyway will just result in "smart" notes such as mine, but won't give you any help, because we simply can't support the nuked version: we don't know it, we don't know how it works, so we simply can not support it. Sorry. Running 1.1dNuke is not recommended at all, since there's a severe security impact.
Take a look at http://forum.coppermine-gallery.net/index.php?topic=2277.0

Joachim
Logged
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 18 queries.